
Redmine - Patch #32326

Update it.yml locale

2019-10-23 13:23 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: pasquale [:dedalus] % Done: 0%
Description

added various missing strings;

reorder strings into the file;

made some changes to already translated strings for consistency.

Related issues:

Related to Redmine - Defect #32354: Fix inconsistent capitalization in Italia... Closed

Related to Redmine - Patch #32358: Fix incomplete Italian translation for not... Closed

Related to Redmine - Patch #32380: Change Italian translation for "news" Closed

Associated revisions

Revision 18864 - 2019-10-26 08:48 - Go MAEDA

Italian translation update (#32326).

Patch by pasquale [:dedalus].

History

#1 - 2019-10-23 16:00 - pasquale [:dedalus]

- File 001-it-locale-v0.2.diff added

Adds to previous patch:

remove trailing whitespaces from my previous patch;

adds missing string label_show_closed_projects that is missing in config\locale\it.yml in redmine 4.0.5

The new patch attached is a replacement of the previous one (the previous one is now obsolete)

#2 - 2019-10-24 02:14 - Go MAEDA

Thank you for working hard on updating it.yml.

Do you have a translation file without reordering? Reordering makes it difficult to compare the current and the new translation

Could you split the patch into a missing translations patch and a changing existing translation patch? I will commit a patch for missing

translations quickly but would not commit changes to existing translation because I don't understand Italian and I cannot judge the changes are

appropriate

#3 - 2019-10-24 18:16 - pasquale [:dedalus]

- File 002-01-adds-missing-translations.diff added

- File 002-02-adds missing key-for-label_show_closed_project.diff added

- File 002-03-fix-some-string-capitalization.diff added

- File 002-04-fix-incomplete-translation-for-notice_successful-keys.diff added

- File 002-05-cumulative-patch-to-fix-existing-translations.diff added

Go MAEDA wrote:

Thank you for working hard on updating it.yml.

Do you have a translation file without reordering? Reordering makes it difficult to compare the current and the new translation

Could you split the patch into a missing translations patch and a changing existing translation patch? I will commit a patch for missing

translations quickly but would not commit changes to existing translation because I don't understand Italian and I cannot judge the changes
are appropriate

Here a new set of patches that are a replacement of previous ones:

002-01-adds-missing-translations.diff adds some missing translation

attachment:002-02-adds missing key-for-label_show_closed_project.diff adds missing key (and related it string) label_show_closed_project tha

was missing in it.yml and it is present in en.yml;

002-03-fix-some-string-capitalization.diff fix some capitalizations issue between en.yml and it.yml;

002-04-fix-incomplete-translation-for-notice_successful-keys.diff fix incomplete text for 4 notice_successful items;

002-05-cumulative-patch-to-fix-existing-translations.diff changes some strings already existing in previous redmine locale version.

Thanks in advance.

#4 - 2019-10-26 08:20 - Go MAEDA

Thank you for splitting the patch. It is really helpful for me.

I looked 002-01-adds-missing-translations.diff and found that the translation for label_relations is "Relationi", but other existing translation for "relation"

is "Relazioni". Is "Relationi" correct?

  label_relations: Relationi

#5 - 2019-10-26 08:33 - pasquale [:dedalus]

Go MAEDA wrote:

Is "Relationi" correct?

 No, sorry it is a typo error: the right word Is "Relazioni"

#6 - 2019-10-27 09:22 - Go MAEDA

- Related to Defect #32354: Fix inconsistent capitalization in Italian translation added

#7 - 2019-10-27 09:24 - Go MAEDA

I have just opened #32354 to handle the patch 002-03-fix-some-string-capitalization.diff.

#8 - 2019-10-27 09:24 - Go MAEDA

- Category changed from I18n to Translations

#9 - 2019-10-27 09:47 - pasquale [:dedalus]

- File rr.png added

Hi Go MAEDA, thanks for reviewing my patches.

Maybe a clarification is needed: the patchattachment:"002-02-adds missing key-for-label_show_closed_project.diff" fix an issue on the official it.yml

file where the line related at the key label_show_closed_project is missing, so the string "View closed projects" cannot be translate at all.

Thanks!

#10 - 2019-10-27 10:04 - Go MAEDA

pasquale [:dedalus] wrote:

Maybe a clarification is needed: the patchattachment:"002-02-adds missing key-for-label_show_closed_project.diff" fix an issue on the official

it.yml file where the line related at the key label_show_closed_project is missing, so the string "View closed projects" cannot be translate at all.

 The latest trunk no longer uses label_show_closed_project, so the key has been removed in r18785 (#29482).

#11 - 2019-10-27 10:14 - pasquale [:dedalus]

Go MAEDA wrote:

The latest trunk no longer uses label_show_closed_project, so the key has been removed in r18785 (#29482).

 Ah ok sorry, I have missed that!

#12 - 2019-10-28 10:27 - Go MAEDA

- Related to Patch #32358: Fix incomplete Italian translation for notice_successful keys added

2025-05-01 2/3

https://www.redmine.org/attachments/24188
https://www.redmine.org/attachments/24185
https://www.redmine.org/attachments/24186
https://www.redmine.org/attachments/24187
https://www.redmine.org/attachments/24188
https://www.redmine.org/issues/32354
https://www.redmine.org/attachments/24185
https://www.redmine.org/projects/redmine/repository/svn/revisions/18785
https://www.redmine.org/issues/29482
https://www.redmine.org/projects/redmine/repository/svn/revisions/18785
https://www.redmine.org/issues/29482


#13 - 2019-10-29 09:25 - Go MAEDA

- Status changed from New to Needs feedback

- Assignee set to pasquale [:dedalus]

Hello pasquale [:dedalus], your translation patch (002-05-cumulative-patch-to-fix-existing-translations.diff) changes the Italian words "notizia" and

"sottoattività" to English word "news" and "subtask". Could you clarify the reason?

#14 - 2019-10-29 09:51 - pasquale [:dedalus]

Go MAEDA wrote:

Hello pasquale [:dedalus], your translation patch (002-05-cumulative-patch-to-fix-existing-translations.diff) changes the Italian words "notizia" and

"sottoattività" to English word "news" and "subtask". Could you clarify the reason?

 For news instead of literal translation notizia, because in current language the english word is used and the literal translation is used rarely (xref 

http://www.treccani.it/vocabolario/news/)

For subtask instead of literal translation sottoattività, because I believe that the english term is more appropriate in a agile context because in current

language we refer to task\subtask and not to attività\sottoattività (xref http://www.treccani.it/vocabolario/task/)

#15 - 2019-10-31 10:48 - Go MAEDA

- Related to Patch #32380: Change Italian translation for "news" added

#16 - 2024-10-11 04:47 - Go MAEDA

- Status changed from Needs feedback to Closed

Italian translation for Redmine 5.1 was completed by #41420 and your other patches.

I am closing this issue. Thank you.

Files

001-it-locale.diff 82.2 KB 2019-10-23 pasquale [:dedalus]

001-it-locale-v0.2.diff 82.2 KB 2019-10-23 pasquale [:dedalus]

002-02-adds missing key-for-label_show_closed_project.diff 424 Bytes 2019-10-24 pasquale [:dedalus]

002-03-fix-some-string-capitalization.diff 1.17 KB 2019-10-24 pasquale [:dedalus]

002-04-fix-incomplete-translation-for-notice_successful-keys.diff 1.26 KB 2019-10-24 pasquale [:dedalus]

002-05-cumulative-patch-to-fix-existing-translations.diff 6.1 KB 2019-10-24 pasquale [:dedalus]

002-01-adds-missing-translations.diff 13.2 KB 2019-10-24 pasquale [:dedalus]

rr.png 65.7 KB 2019-10-27 pasquale [:dedalus]

Powered by TCPDF (www.tcpdf.org)

2025-05-01 3/3

https://www.redmine.org/attachments/24187
https://www.redmine.org/attachments/24187
http://www.treccani.it/vocabolario/news/
http://www.treccani.it/vocabolario/task/
https://www.redmine.org/issues/41420
http://www.tcpdf.org

